Межсайтовый скриптинг в Qdig

Дата публикации:
03.07.2006
Дата изменения:
17.10.2006
Всего просмотров:
846
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Qdig 1.x
Уязвимые версии: Qdig 1.2.9.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "pre_gallery" и "post_gallery". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена.

URL производителя: qdig.sourceforge.net

Решение: Установите последнюю версию (1.2.9.3) с сайта производителя.

Ссылки: New Stable Release: Qdig 1.2.9.3

или введите имя

CAPTCHA